VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::ovf::LibraryItemTypes::CreateTarget Class Reference

The `LibraryItem.CreateTarget` class specifies the target library item when capturing a virtual machine or virtual appliance as an OVF package in a library item in a content library. More...

List of all members.

## Public Member Functions
| CreateTarget ()
| Creates a default new instance.
string | GetLibraryId ()
| Identifier of the library in which a new library item should be created.
void | SetLibraryId (string libraryId)
| Identifier of the library in which a new library item should be created.
string | GetLibraryItemId ()
| Identifier of the library item that should be should be updated.
void | SetLibraryItemId (string libraryItemId)
| Identifier of the library item that should be should be updated.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `LibraryItem.CreateTarget` class specifies the target library item when capturing a virtual machine or virtual appliance as an OVF package in a library item in a content library.

The target can be an existing library item, which will be updated, creating a new version, or it can be a newly created library item in a specified library. See LibraryItem.Create .

## Constructor & Destructor Documentation

vmware::vcenter::ovf::LibraryItemTypes::CreateTarget::CreateTarget | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vcenter::ovf::LibraryItemTypes::CreateTarget::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vcenter::ovf::LibraryItemTypes::CreateTarget::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vcenter::ovf::LibraryItemTypes::CreateTarget::_GetType | ( |  | ) | `[inline]`

bool vmware::vcenter::ovf::LibraryItemTypes::CreateTarget::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vcenter::ovf::LibraryItemTypes::CreateTarget::_Validate | ( |  | ) | `[inline]`

override bool vmware::vcenter::ovf::LibraryItemTypes::CreateTarget::Equals | ( | object | obj | ) | `[inline]`

override int vmware::vcenter::ovf::LibraryItemTypes::CreateTarget::GetHashCode | ( |  | ) | `[inline]`

string vmware::vcenter::ovf::LibraryItemTypes::CreateTarget::GetLibraryId | ( |  | ) | `[inline]`

Identifier of the library in which a new library item should be created.

This field is not used if the `libraryItemId` field is specified. When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `com.vmware.content.Library` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `com.vmware.content.Library` .

string vmware::vcenter::ovf::LibraryItemTypes::CreateTarget::GetLibraryItemId | ( |  | ) | `[inline]`

Identifier of the library item that should be should be updated.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `com.vmware.content.library.Item` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `com.vmware.content.library.Item` .

void vmware::vcenter::ovf::LibraryItemTypes::CreateTarget::SetLibraryId | ( | string | libraryId | ) | `[inline]`

Identifier of the library in which a new library item should be created.

This field is not used if the `libraryItemId` field is specified. When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `com.vmware.content.Library` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `com.vmware.content.Library` .

void vmware::vcenter::ovf::LibraryItemTypes::CreateTarget::SetLibraryItemId | ( | string | libraryItemId | ) | `[inline]`

Identifier of the library item that should be should be updated.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `com.vmware.content.library.Item` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `com.vmware.content.library.Item` .

override string vmware::vcenter::ovf::LibraryItemTypes::CreateTarget::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- LibraryItemTypes.cs